commit:     3cf463024c869970503070ac05835b9cf0a65db2
Author:     Alexis Ballier <aballier <AT> gentoo <DOT> org>
AuthorDate: Thu Aug 24 08:53:17 2017 +0000
Commit:     Alexis Ballier <aballier <AT> gentoo <DOT> org>
CommitDate: Thu Aug 24 08:53:17 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3cf46302

dev-ml/ppx_deriving: bump to 4.2

Package-Manager: Portage-2.3.8, Repoman-2.3.3

 dev-ml/ppx_deriving/Manifest                |  1 +
 dev-ml/ppx_deriving/metadata.xml            |  2 +-
 dev-ml/ppx_deriving/ppx_deriving-4.2.ebuild | 50 +++++++++++++++++++++++++++++
 3 files changed, 52 insertions(+), 1 deletion(-)

diff --git a/dev-ml/ppx_deriving/Manifest b/dev-ml/ppx_deriving/Manifest
index 8f32cd8fde9..ade8b609d2e 100644
--- a/dev-ml/ppx_deriving/Manifest
+++ b/dev-ml/ppx_deriving/Manifest
@@ -1 +1,2 @@
 DIST ppx_deriving-4.1.tar.gz 46502 SHA256 
74831b9688140f27304c55e82f930d47107f4587f4e7cbb88ddfc820c23321bb SHA512 
5191565254edd036ebe4d1eae1c660bcac293c000ce1f3eb12aeb1fb05b82d93bb28ddb88ab31967f98827838ce1c57e6f83f767f4dfe41eb265bad6dfaa5e8a
 WHIRLPOOL 
ca7860a918384de36fd3b3f6c259117f654357dd78193fe23d1d3324b61e08df8792984cb93801a92e80100140f0fdae999040cf0965237c9faba4d3f0a46ee0
+DIST ppx_deriving-4.2.tar.gz 48327 SHA256 
488618f652bd30baa9f6d42d9e4168c97b8e71c60e7d54b5018a0da097db016f SHA512 
084526157d6f4b41f7ad73157c5edb54d5bb9130d706525031670d8495ede8af5545302f442c2d2c506772201b79ccc93bdc7fead9455d3a59977ddfa9c3284d
 WHIRLPOOL 
305f3283d965d0cdf4eb7abc0b63e6a960785a629569e97d8654d0aee9915b20471f127bf950191d459dcda209b0c33991a899a60e95b195e0044c3e21dc8406

diff --git a/dev-ml/ppx_deriving/metadata.xml b/dev-ml/ppx_deriving/metadata.xml
index a41135f4b01..fb70b500f32 100644
--- a/dev-ml/ppx_deriving/metadata.xml
+++ b/dev-ml/ppx_deriving/metadata.xml
@@ -6,6 +6,6 @@
                <name>Gentoo ML Project</name>
        </maintainer>
        <upstream>
-               <remote-id type="github">whitequark/ppx_deriving</remote-id>
+               <remote-id type="github">ocaml-ppx/ppx_deriving</remote-id>
        </upstream>
 </pkgmetadata>

diff --git a/dev-ml/ppx_deriving/ppx_deriving-4.2.ebuild 
b/dev-ml/ppx_deriving/ppx_deriving-4.2.ebuild
new file mode 100644
index 00000000000..3d965d24df9
--- /dev/null
+++ b/dev-ml/ppx_deriving/ppx_deriving-4.2.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="5"
+
+inherit findlib eutils opam
+
+DESCRIPTION="Type-driven code generation for OCaml"
+HOMEPAGE="https://github.com/ocaml-ppx/ppx_deriving";
+SRC_URI="https://github.com/ocaml-ppx/ppx_deriving/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0/${PV}"
+KEYWORDS="~amd64"
+IUSE="doc +ocamlopt test"
+
+DEPEND="
+       dev-ml/ppx_tools:=
+       dev-ml/ocaml-migrate-parsetree:=
+       dev-ml/ppx_derivers:=
+       dev-ml/result:=
+"
+RDEPEND="${DEPEND}"
+DEPEND="${RDEPEND}
+       dev-ml/cppo
+       test? ( dev-ml/ounit )"
+
+src_compile() {
+       cp pkg/META.in pkg/META || die
+       ocaml pkg/build.ml \
+               native=$(usex ocamlopt true false) \
+               native-dynlink=$(usex ocamlopt true false) \
+               || die
+       use doc && emake doc
+}
+
+src_test() {
+       ocamlbuild -j 0 -use-ocamlfind -classic-display \
+                       src_test/test_ppx_deriving.byte -- || die
+       if use ocamlopt;  then
+               ocamlbuild -j 0 -use-ocamlfind -classic-display \
+                       src_test/test_ppx_deriving.native -- || die
+       fi
+}
+
+src_install() {
+       opam_src_install
+
+       use doc && dohtml api.docdir/*
+}

Reply via email to